Loading...
Searching...
No Matches
pcl::gpu::people::RDFBodyPartsDetector Class Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/bodyparts_detector.h>`

## Public Types

using | Ptr = shared_ptr<RDFBodyPartsDetector>
using | ConstPtr = shared_ptr<const RDFBodyPartsDetector>
using | BlobMatrix = std::vector<std::vector<Blob2, Eigen::aligned_allocator<Blob2> > >
using | Labels = DeviceArray2D<unsigned char>
using | Depth = DeviceArray2D<unsigned short>
using | Image = DeviceArray2D<pcl::RGB>

## Public Member Functions

| RDFBodyPartsDetector (const std::vector< std::string > &tree_files, int default_buffer_rows=480, int default_buffer_cols=640)
| This is the constructor.
void | process (const Depth &depth, const PointCloud< PointXYZ > &cloud, int min_pts_per_cluster)
| This function does the complete RDF evaluation in a discrete manner and builds the blob matrix.
void | processProb (const Depth &depth)
| This function processes based on the RDF with probabilistic voting scheme.
void | processSmooth (const Depth &depth, const PointCloud< PointXYZ > &cloud, int min_pts_per_cluster)
| This smooths the labels and does the connected components.
int | processRelations ()
| This processes the blob_matrix_.
int | processRelations (PersonAttribs::Ptr person_attribs)
| This processes the blob_matrix_.
const Labels & | getLabels () const
const pcl::device::LabelProbability & | getProbability () const
const pcl::device::LabelProbability & | getProbability1 () const
const pcl::device::LabelProbability & | getProbability2 () const
const pcl::device::LabelProbability & | getPrevProbability1 () const
const pcl::device::LabelProbability & | getPrevProbability2 () const
std::size_t | getNumberTrees () const
const BlobMatrix & | getBlobMatrix () const

## Public Attributes

Labels | labels_
| This contains the final body part labels.
Labels | labels_smoothed_
| This contains the smoothed final body part labels.
pcl::device::LabelProbability | P_l_
| These contain the histograms of the labels for this detector.
pcl::device::LabelProbability | P_l_Gaus_
pcl::device::LabelProbability | P_l_Gaus_Temp_
pcl::device::LabelProbability | P_l_1_
pcl::device::LabelProbability | P_l_2_
pcl::device::LabelProbability | P_l_prev_1_
| These contain the histograms of the labels for this detector of the previous timestep.
pcl::device::LabelProbability | P_l_prev_2_

## Detailed Description

Definition at line 64 of file bodyparts_detector.h.

## Member Typedef Documentation

## BlobMatrix

using pcl::gpu::people::RDFBodyPartsDetector::BlobMatrix = std::vector<std::vector<Blob2, Eigen::aligned_allocator<Blob2> > >

Definition at line 69 of file bodyparts_detector.h.

## ConstPtr

using pcl::gpu::people::RDFBodyPartsDetector::ConstPtr = shared_ptr<const RDFBodyPartsDetector>

Definition at line 68 of file bodyparts_detector.h.

## Depth

using pcl::gpu::people::RDFBodyPartsDetector::Depth = DeviceArray2D<unsigned short>

Definition at line 72 of file bodyparts_detector.h.

## Image

using pcl::gpu::people::RDFBodyPartsDetector::Image = DeviceArray2D<pcl::RGB>

Definition at line 73 of file bodyparts_detector.h.

## Labels

using pcl::gpu::people::RDFBodyPartsDetector::Labels = DeviceArray2D<unsigned char>

Definition at line 71 of file bodyparts_detector.h.

## Ptr

using pcl::gpu::people::RDFBodyPartsDetector::Ptr = shared_ptr<RDFBodyPartsDetector>

Definition at line 67 of file bodyparts_detector.h.

## Constructor & Destructor Documentation

## RDFBodyPartsDetector()

pcl::gpu::people::RDFBodyPartsDetector::RDFBodyPartsDetector | ( | const std::vector< std::string > & | tree_files,
|  | int | default_buffer_rows = 480,
|  | int | default_buffer_cols = 640 )

This is the constructor.

## Member Function Documentation

## getBlobMatrix()

const BlobMatrix & pcl::gpu::people::RDFBodyPartsDetector::getBlobMatrix | ( |  | ) | const

## getLabels()

const Labels & pcl::gpu::people::RDFBodyPartsDetector::getLabels | ( |  | ) | const

## getNumberTrees()

std::size_t pcl::gpu::people::RDFBodyPartsDetector::getNumberTrees | ( |  | ) | const

## getPrevProbability1()

const pcl::device::LabelProbability & pcl::gpu::people::RDFBodyPartsDetector::getPrevProbability1 | ( |  | ) | const

## getPrevProbability2()

const pcl::device::LabelProbability & pcl::gpu::people::RDFBodyPartsDetector::getPrevProbability2 | ( |  | ) | const

## getProbability()

const pcl::device::LabelProbability & pcl::gpu::people::RDFBodyPartsDetector::getProbability | ( |  | ) | const

## getProbability1()

const pcl::device::LabelProbability & pcl::gpu::people::RDFBodyPartsDetector::getProbability1 | ( |  | ) | const

## getProbability2()

const pcl::device::LabelProbability & pcl::gpu::people::RDFBodyPartsDetector::getProbability2 | ( |  | ) | const

## process()

void pcl::gpu::people::RDFBodyPartsDetector::process | ( | const Depth & | depth,
|  | const PointCloud< PointXYZ > & | cloud,
|  | int | min_pts_per_cluster )

This function does the complete RDF evaluation in a discrete manner and builds the blob matrix.

## processProb()

void pcl::gpu::people::RDFBodyPartsDetector::processProb | ( | const Depth & | depth | ) |

This function processes based on the RDF with probabilistic voting scheme.

## processRelations() [1/2]

int pcl::gpu::people::RDFBodyPartsDetector::processRelations | ( |  | ) |

This processes the blob_matrix_.

Returns
  negative if failed

## processRelations() [2/2]

int pcl::gpu::people::RDFBodyPartsDetector::processRelations | ( | PersonAttribs::Ptr | person_attribs | ) |

This processes the blob_matrix_.

Parameters

  [in] | person_attribs | the custom person parameters

Returns
  negative if failed

## processSmooth()

void pcl::gpu::people::RDFBodyPartsDetector::processSmooth | ( | const Depth & | depth,
|  | const PointCloud< PointXYZ > & | cloud,
|  | int | min_pts_per_cluster )

This smooths the labels and does the connected components.

## Member Data Documentation

## labels_

Labels pcl::gpu::people::RDFBodyPartsDetector::labels_

This contains the final body part labels.

Definition at line 121 of file bodyparts_detector.h.

## labels_smoothed_

Labels pcl::gpu::people::RDFBodyPartsDetector::labels_smoothed_

This contains the smoothed final body part labels.

Definition at line 123 of file bodyparts_detector.h.

## P_l_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_

These contain the histograms of the labels for this detector.

Definition at line 126 of file bodyparts_detector.h.

## P_l_1_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_1_

Definition at line 129 of file bodyparts_detector.h.

## P_l_2_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_2_

Definition at line 130 of file bodyparts_detector.h.

## P_l_Gaus_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_Gaus_

Definition at line 127 of file bodyparts_detector.h.

## P_l_Gaus_Temp_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_Gaus_Temp_

Definition at line 128 of file bodyparts_detector.h.

## P_l_prev_1_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_prev_1_

These contain the histograms of the labels for this detector of the previous timestep.

Definition at line 133 of file bodyparts_detector.h.

## P_l_prev_2_

pcl::device::LabelProbability pcl::gpu::people::RDFBodyPartsDetector::P_l_prev_2_

Definition at line 134 of file bodyparts_detector.h.

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/include/pcl/gpu/people/bodyparts_detector.h